using System.Data;
using Npgsql;

namespace MieSystem.Data.Interfaces
{
    public interface IDatabaseConnectionFactory
    {
        Task<IDbConnection> CreateConnectionAsync();
        IDbConnection CreateConnection();
    }
}
